%define name balazar
%define oname Balazar
%define version 0.3.1
%define release %mkrel 2

Summary:	A 3D adventure and roleplaying game
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:	Games/Adventure
Source:	http://download.gna.org/balazar/%oname-%version.tar.bz2
Source10: %{name}-16.png
Source11: %{name}-32.png
Source12: %{name}-48.png
URL:		http://home.gna.org/oomadness/fr/balazar/
# or http://balazar.nekeme.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel, SDL-devel
Requires: soya, python-imaging, pyrex, cal3d, openal, pyogg, pyvorbis, pyopenal
Requires: glew, tofu, cerealizer
#dri:)
#pyrex=0.9.3, cal3d=0.9.1
BuildArch: noarch

%description
A 3D adventure and roleplaying game string Balazar the photo-mage.

%prep

%setup -q -n %oname-%version

%build
python ./setup.py build

%install
rm -Rf $RPM_BUILD_ROOT

python ./setup.py install --root=$RPM_BUILD_ROOT
install -m 644 -D %{SOURCE10} $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m 644 -D %{SOURCE11} $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m 644 -D %{SOURCE12} $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): needs="x11" \
section="More Applications/Games/Adventure" \
 title="%{oname}" longtitle="%{summary}" command="%{_bindir}/%{name}" icon="%{name}.png" xdg="true"
EOF

mkdir $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{oname}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{longtitle}
Exec=%{_bindir}/%{name} %U
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;AdventureGame;X-MandrivaLinux-MoreApplications-Games-Adventure;
EOF

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/mandriva-%{oname}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}

%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Sun Aug 27 2006 Emmanuel Andry <eandry@mandriva.org> 0.3.1-2mdv2007.0
- requires pyopenal

* Tue Jul 11 2006 Lenny Cartier <lenny@mandriva.com> 0.3.1-1mdv2007.0
- 0.3.1
- requires cerealizer

* Sat Jun 17 2006 Emmanuel Andry <eandry@mandriva.org> 0.3-1mdv2007.0
- 0.3
- xdg compliant

* Wed Oct 26 2005 Lenny Cartier <lenny@mandriva.com> 0.2-2mdk
- rebuild for latest allegro

* Sun Sep 11 2005 Guillaume Bedot <littletux@mandriva.org> 0.2-1mdk
- New release
- added some requires

* Wed Mar 02 2005 Guillaume Bedot <guillaume.bedot@cegetel.net> 0.1-1mdk
- First Mandrakelinux package
